lgtenv(1)

NAME
lgtenv - Logtalk script for creating packs virtual environments

SYNOPSIS
lgtenv -v
lgtenv [-d directory] [-c] [-p packs]
lgtenv -h

DESCRIPTION
lgtenv is a Logtalk script for creating packs virtual environments. It works by activating a LOGTALKPACKS environment variable when changing the current directory to the directory where the virtual environment was created. To use the virtual environment, start Logtalk from the directory where the virtual environment was created.

OPTIONS

-d  Directory where to create the virtual environment. Absolute path. Default is the current directory.

-c  Create directory if it does not exist.

-p  Packs sub-directory. Relative path. Default is the current directory.

EXIT STATUS

0   Success.

1   Usage error.

3   Directory not found.

5   Directory not writable.

7   Dependency direnv not found.

REQUIREMENTS
Requires direnv to be installed (see https://github.com/direnv/direnv).

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk Handbook at $LOGTALKHOME/docs/handbook/index.html

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 2023-2025 Paulo Moura.